#ifndef ProtoGenWrapper_CreateComChannelFromComInterface_H
#define ProtoGenWrapper_CreateComChannelFromComInterface_H

#include <string>

#include <Command.h>

namespace ProtoGenWrapper
{
	class ComInterface;
	
	class CreateComChannelFromComInterface : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		CreateComChannelFromComInterface(const std::string& identifier, const std::string& ecuVariantName, const std::string &resource, const ComInterface &comInterface);
		CreateComChannelFromComInterface(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		CreateComChannelFromComInterface() = delete;

		bool GetValues(std::string& identifier, std::string& ecuVariantName, std::string& resource, ComInterface &comInterface);
		static int GetCommandType();
	};
}

#endif // ProtoGenWrapper_CreateComChannelFromComInterface_H
